import React, { Dispatch, SetStateAction } from 'react';
import { CustomModal } from './CustomModal';

type Dispatcher<S> = Dispatch<SetStateAction<S>>;

interface IProfileModalProps {
  isOpen: boolean;
  setIsOpen: Dispatcher<boolean>;
}

export const ProfileModal = ({ isOpen, setIsOpen }: IProfileModalProps) => {
  const placeHolder = 'test text';
  return (
    <CustomModal
      isOpen={isOpen}
      setIsOpen={setIsOpen}
      customStyle={{ backgroundColor: 'white', padding: '10px' }}
    >
      {placeHolder}
    </CustomModal>
  );
};

export default ProfileModal;
